Bug 410491 - Find endless loop in /dev and /sys and /proc
Summary: Find endless loop in /dev and /sys and /proc
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gthumb
Version: 5.1
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
: ---
Assignee: Behdad Esfahbod
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-12-04 15:37 UTC by Chris Ward
Modified: 2013-04-12 19:27 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed: 2007-12-20 16:46:38 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:1115 normal SHIPPED_LIVE gthumb bug fix update 2007-12-20 16:46:33 UTC

Description Chris Ward 2007-12-04 15:37:16 UTC
Description of problem:
When doing a 'find' (ctrl f, edit->find), starting at "File System", I keep
running into the same problem over and over that makes it nearly impossible to
search and find anything

Upon reaching certain points in /proc, /dev/, and /sys/, the find starts
searching down an endless loop!

ie, 
/proc/2765/root/proc/2794/root/proc/2794/root/proc/2794......

ie, 
/sys/devices/platform/pcspkr/subsystem/devices/pcspkr/subsystem/devices/pcspkr/...

ie,
/dev/.udev/failed/devices@platform@windfarm.0/subsystem/devices/serial8250/subsystem/devices/serial8250/subsystem/.....

All of these just keep going and going and going, infinitely.

Is there any reason why the search couldn't skip over these directories, or at
minimum put some check there to ensure we don't get stuck in an infinite loop?

Expected:
that gthumb wouldn't get stuck in infinite loops. 

Version-Release number of selected component (if applicable):
gthumb-2.7.8-6.el5

How reproducible:
always

It's possible that it only is reproducible on i386 and ppc though, i wasn't able
to search without the same problem appearing on x86_64...but maybe it was a
fluke that it worked! :-)

Steps to Reproduce:
1. see above
 
I would note too that Korea is looking for GS CERT, and such a problem IMO would
reflect badly on us. I think this problem should be fixed ASAP. 

Also, it seems that there should be an option to select which directories should
be search, and which shouldn't. Or at least an option to 'not search /mnt,
/dev/, proc/, /sys/'

Comment 1 Behdad Esfahbod 2007-12-10 22:22:44 UTC
Got the patch.  Not sure what to do with it.

Comment 9 errata-xmlrpc 2007-12-20 16:46:38 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-1115.html



Note You need to log in before you can comment on or make changes to this bug.